#!ruby -Ks
=begin
Copyright (C) 2008 Taisuke Kobayashi
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
=end
require 'jcode'
require 'nkf'
require 'mailread'
require 'date'

mailDir = 'Mail'

f = open 't.csv', 'w'
f.print "w,wN,wДԍ2,O,[AhX,t,,t@C,{Ō̍s̕,AP[g(ϒ)({Ō̍s̉͌),\n"

Dir.foreach(mailDir){|v1|
  v2 = "#{mailDir}\\#{v1}"
  next if File.ftype(v2) != 'file'
  print v2,"\n"
=begin
  IO.foreach(v2){|line|
    print line
  }
  break
=end  
  begin
    m = Mail.new v2
    d = Date.parse m['date']
    t = ''
    t = $1 if m['date'] =~ /(\d{2,2}:\d{2,2}:\d{2,2})/
    s = NKF.nkf '-s', m['subject']
    s.gsub! "\n", ''
    s.tr! 'O-X', '0-9'
    s.tr! '|[', '--'

    if s =~ /^(\S+)\s*(\d+)\D+(\d+)\s*(\D+)\s*/
      f.print "#$1,#$2,#$3,#$4," 
    else
      f.print "G[,-1,-1,#{s},"
    end
    f.print "#{m['from']},#{d.strftime '%Y/%m/%d'},#{t},"
    b = m.body
    f.print "#{v1},"
    if b.size == 0
      f.print '{,'
    else
      be = NKF.nkf '-s', b[b.size() -1]
      be.chomp!
      be.tr! 'O-X', '0-9'
      f.print "#{be},"
      be.each_char{|v3|
        f.print "#{v3},"
      }
    end
    f.print "\n"
  rescue
    print "=== ɃG[܂ ===\n"
    f.print "=== ɃG[܂ ===,#{v1}\n"
  end	

}

f.close
